#
# spec file for package cbootimage
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cbootimage
Version:        1.7
Release:        lp150.2.3
Summary:        Tools to dump and generate boot config table on Tegra devices
License:        GPL-2.0
Group:          System/Base
Url:            https://github.com/NVIDIA/cbootimage
Source:         https://github.com/NVIDIA/cbootimage/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch1:         bct_dump-don-t-crash-on-devices-without-RSA-support.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains two programs to parse the boot config table (bct)
of Tegra SoC based devices and to generate a new bct with appended
bootloader (e.g. u-boot) read to be flashed to a storage device.
The boot config table is used in the early boot process to setup the sdhci,
DRAM memory controller and also points to the position of the bootloader.

For more information, see:
http://http.download.nvidia.com/tegra-public-appnotes/bct-overview.html

%prep
%setup -q
%patch1 -p1

%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-, root, root)
%doc COPYING
%{_bindir}/bct_dump
%{_bindir}/cbootimage
%{_mandir}/man1/bct_dump.1%{ext_man}
%{_mandir}/man1/cbootimage.1%{ext_man}

%changelog
* Wed Jan  4 2017 zombah@gmail.com
- Add upstream patch to fix bct_dump crash until
  version 1.8 released.
* Sat Feb 13 2016 mpluskal@suse.com
- Update to version 1.7
- Use url for source
- Cleanup spec file with spec-cleaner
- Use autoreconf instead of provided autogen.sh as later also runs
  ./configure
* Wed Oct 28 2015 zombah@gmail.com
- Use rpm defaults for %%clean variable in spec file
* Tue Oct 20 2015 zombah@gmail.com
- Update to cbootimage version 1.6
  * Update Tegra210 family support
  * Now contain man files
* Sun Mar 29 2015 zombah@gmail.com
- Update to cbootimage version 1.5
  * Support for Tegra210 family
* Tue Jul 22 2014 zombah@gmail.com
- Update to cbootimage version 1.4
* Sat May 24 2014 zombah@gmail.com
- initial cbootimage package v1.3
